Q3 Selenium framework improvements
Closed, ResolvedPublic

Description

There are many things to improve in our current framework that are not critical for resolving T139740: Port Selenium tests from Ruby to Node.js. Sub-tasks are what we hope to do in Q3.

Some needed improvements are listed in User:Jdlrobson/Experiences porting Ruby browser tests to NodeJs. Please see talk page for discussion.

The important tasks that have to be resolved in this quarter to consider this a success:

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes
zeljkofilipin updated the task description. (Show Details)Dec 8 2017, 3:09 PM
zeljkofilipin renamed this task from Selenium framework improvements to Q3 Selenium framework improvements.Dec 15 2017, 1:24 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin raised the priority of this task from Normal to High.Dec 15 2017, 2:43 PM
zeljkofilipin removed zeljkofilipin as the assignee of this task.

Change 404507 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/core@master] When running Selenium tests, use wd/hub

https://gerrit.wikimedia.org/r/404507

Change 404507 merged by WMDE-Fisch:
[mediawiki/core@master] When running Selenium tests, use wd/hub

https://gerrit.wikimedia.org/r/404507

Change 404657 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/core@master] Page title is not used in Selenium tests

https://gerrit.wikimedia.org/r/404657

Change 404657 merged by jenkins-bot:
[mediawiki/core@master] Page title is not used in Selenium tests

https://gerrit.wikimedia.org/r/404657

Change 413139 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/AdvancedSearch@master] ESLint parserOptions is redundant when env is set to es6

https://gerrit.wikimedia.org/r/413139

Change 413144 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/ORES@master] ESLint parserOptions is redundant when env is set to es6

https://gerrit.wikimedia.org/r/413144

Change 413139 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] ESLint parserOptions is redundant when env is set to es6

https://gerrit.wikimedia.org/r/413139

Change 413144 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] ESLint parserOptions is redundant when env is set to es6

https://gerrit.wikimedia.org/r/413144

zeljkofilipin updated the task description. (Show Details)Mar 2 2018, 3:33 PM
greg updated the task description. (Show Details)Mar 21 2018, 3:58 PM
zeljkofilipin removed zeljkofilipin as the assignee of this task.Apr 12 2018, 11:53 AM

Change 438044 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] Use wd/hub not /wd/hub in selenium.sh

https://gerrit.wikimedia.org/r/438044

Change 438044 merged by WMDE-Fisch:
[mediawiki/core@master] Use wd/hub not /wd/hub in selenium.sh

https://gerrit.wikimedia.org/r/438044

zeljkofilipin closed this task as Resolved.
zeljkofilipin claimed this task.

Resolving this task, since Q3 is long passed. The only remaining task (T179188) will be resolved in Q1.